/*==========做题页面相关样式==========*/
body{background-color: #FAFAFA;overflow:hidden}
/*自定义滚动条样式*/
::-webkit-scrollbar {width:12px}
::-webkit-scrollbar-track {background-color:#F5F5F5}
::-webkit-scrollbar-thumb {background:#BFBFBF;border-radius:15px}

.answer-left{
    float: left;
    width: 860px;
}
.answer-right{
    float: right;
    width: 320px;
}
.answer-position{
    height: 62px;
    line-height: 62px;
    background: #FFFFFF;
    border-radius: 10px;
    position: relative;
    padding-left: 54px;
    font-size: 16px;
    color: #999999;
    margin-top: 20px;
}
.answer-position a{
    color: #999999;
}
.answer-position b{
    color:#333333;
    font-weight: normal;
}
.answer-position .back{
    position: absolute;
    width: 50px;
    height: 62px;
    left: 0;
    top: 0;
    background-image: url(./img/icon/back.png);
    background-size: 14px 14px;
    background-repeat: no-repeat;
    background-position: center;

}
.answer-body{
    margin-top: 10px;
    background: #FFFFFF;
    border-radius: 10px;
    padding:0 20px;
}
.answer-body .type{
    padding:20px 0;
    color: #999;
    border-bottom: 1px solid #EFEFEF;
}
.answer-body .type h3{
    font-size: 16px;
    display: inline-block;
    color: #333333;
}
.answer-body .question{
    padding: 10px 0;
    font-weight: bold;
    font-size: 16px;
    color: #333333;
}
.answer-body .option{
    overflow: hidden;
}
.answer-body .option li{
    padding:10px 20px 10px 30px;
    position: relative;

    font-size: 16px;
    color: #000000;
    cursor:pointer;
    float: left;
    clear: both;
}
.answer-body .option li i{
    position: absolute;
    left: 0;
    top: 12px;
    width: 16px;
    height: 16px;
    border-radius:10px;
    background: #FFFFFF;
    border: 1px solid #999999;
    background-size:100%;
}
.answer-body .option li.error i{
    background-image: url(./img/icon/error.png);
    width: 18px;
    height: 18px;
    border: none;
}
.answer-body .option li.correct i{
    background-image: url(./img/icon/correct.png);
    width: 18px;
    height: 18px;
    border: none;
}
.answer-time{
    height: 62px;
    padding: 0 20px;
    line-height: 62px;
    background: #FFFFFF;
    border-radius: 10px;
    margin-top: 20px;
    font-size: 14px;
    color: #1F1F1F;
}
.answer-time b{
    display: inline-block;
    line-height: 24px;
    font-weight: normal;
    color: #fff;
    padding: 0 3px;
    background-color: #FF0000;
    margin: 0 5px;
}
.answer-tool{
    height: 70px;
    background: #FFFFFF;
    border-radius: 10px;
    margin-top: 10px;
    display: flex;
}
.answer-tool li{
    flex: 1;
    text-align: center;
    font-size: 14px;
    cursor:pointer;
    margin: 0 20px;
    color: #000000;
}
.answer-tool li i{
    display: block;
    width: 24px;
    height: 24px;
    margin: 8px auto;
    background-size: 24px;
    background-position: center;
    background-repeat: no-repeat;
}
.answer-tool li.mode i{background-image: url(./img/icon/mode.png)}
.answer-tool li.text i{background-image: url(./img/icon/text.png)}
.answer-tool li.calculator i{background-image: url(./img/icon/calculator.png)}

.answer-card{
    background: #FFFFFF;
    border-radius: 10px;
    margin-top: 10px;
    padding: 10px 20px;
}
.answer-card h4{
    display: block;
    padding-bottom: 5px;
    font-size: 16px;
    font-weight: bold;
    color: #1F1F1F;
    border-bottom: 1px solid #EFEFEF;
}

.answer-card .scroll{
    margin-top: 10px;
    overflow: auto;
    height:calc(100vh - 390px);
    overflow-x: hidden;
}


.answer-card h5{
    display: block;
    font-size: 16px;
    color: #1F1F1F;
}
.answer-card h5 span{
    color: #999999;
}
.answer-card .scroll ul{
    overflow: hidden;
    padding: 10px 0;
}
.answer-card .scroll ul li{
    float: left;
    line-height: 24px;
    font-size: 14px;
    width: 36px;
    height: 24px;
    border-radius: 2px;
    margin: 0 10px 10px 0;
    text-align: center;
    background: #F5F5F5;
    cursor:pointer
}
.answer-card .scroll ul li:nth-child(6n){
    margin-right: 0;
}
.answer-card .scroll ul li.cur{
    background: #CEE0FD;
    color: #0860F4;
}
.answer-card .scroll ul li.error{
    background: #fdcece;
    color: #f40808;
}
.answer-card .scroll ul li.correct{
    background: #abdab1;
    color: #336027;
}
.answer-card .page{
    height: 40px;
    text-align: center;
    white-space: nowrap;
    padding-top: 10px;
}
.answer-card .page a{
    display: inline-block;
    line-height: 28px;
    padding: 0 8px;
    background: #FFFFFF;
    border-radius: 15px;
    border: 1px solid #0860F4;
    color: #0860F4;
    font-size: 12px;
}
.answer-card .page a.cur{
    background: #0860F4;
    color: #fff;
}
.answer-right-button{

}
.answer-right-button button{
    display: block;
    width: 100%;
    margin-top: 10px;
    height: 40px;
    line-height: 40px;
    border: none;
    border-radius: 5px;
    font-size: 16px;
}
.answer-right-button button.resetting{
    background: #F4F4F5;
    color: #333333;
}
.answer-right-button button.report{
    background: linear-gradient(to bottom , #0860F4 0%, #4A88EF 100%);
    color: #fff;
}
